CONN_PROTO_CLIENT_VALIDATE_FUNC(3)

PROTO_FUNC
conn_PROTO_client_validate_func - Client connection validate event callback.

SYNOPSIS
#include <karma_conn.h>

flag conn_PROTO_client_validate_func

(void **info)

DESCRIPTION
This routine is called to validate whether it is appropriate to open a connection.

info
    A pointer to the arbitrary information pointer. This may be modified

RETURN VALUE
TRUE if the connection should be attempted, else FALSE indicating the connection should be aborted.

Multi-threading Level
Unsafe.

NOTE
Even if this routine is called and returns TRUE, there is no guarantee that the connection will be subsequently opened.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/